"""
--------------------------------------------------------------------------------
THIS IS AN EXAMPLE ONLY -- emulate/replace for your email account's parameters.

This is a NON-SSL account-specific extension to the global base file.
  -See ../PyMailGUI-PP4E/mailconfig.py for base-file settings customized here.
  -See mailconfig_RmiDotNet_ssl.py for the SSL extension to this file.

rmi.net (now Earthlink) has plain POP only, and no working SMTP server to be
found.  Use non-SSL POP, and a broadband-provider's server for SMTP, SSL or not.
See also textConfig.py in ../PyMailGui-PP4E for PyEdit popup window settings.
--------------------------------------------------------------------------------
"""
import sys, os   # for platform diffs, paths

# for platform-specific choices
RunningOnMac     = sys.platform.startswith('darwin')       # all OS (X)
RunningOnWindows = sys.platform.startswith('win')          # all Windows
RunningOnLinux   = sys.platform.startswith('linux')        # all Linux


# --override PyMailGUI's mailconfig.py base-file defaults here--

# fetch (password asked in GUI)
popservername  = 'pop.rmi.net'                 # for connection, port 110 dflt
popusername    = 'lutz@rmi.net'                # for account login
popusesSSL     = False

# send (password asked in GUI if needed)
smtpservername = 'smtp.comcast.net:587'        # opt port# (see SSL/TLS configs)
smtpuser       = 'veramark62'                  # nonblank=authenticated/password
smtpusesSSL    = False

# this is supposed to work, but doesn't: email provider, not broadband
# smtpservername = 'smtpauth.earthlink.net     # not on port 25, 80, or 3535
# smtpuser       = 'lutz@rmi.net'

# compose (name: 1 ' ' sans "" okay)
myaddress      = 'Mark Lutz <lutz@rmi.net>'    # for envelope headers 
mysignature    = ('Thanks,\n'                  # added to new mail text 
                  '--Mark Lutz, http://learning-python.com')

# list windows
listbg = '#000060'  # or 'navy'             # back/fore color name or #RRGGBB
listfg = 'white'
listHeight = 20                             # show this many messages initially

if RunningOnWindows:                        # account-specific fonts - monospace
    listfont = ('consolas', 10, 'bold')     # consolas isn't monospace on Linux
elif RunningOnLinux:                        # inconsolata isn't mono on Windows
    listfont = ('inconsolata', 10, 'bold')  # courier works on both, but duller
elif RunningOnMac:                          # font for Mac OS X (or courier new)
    listfont = ('monaco', 12)               # else use main file's default 

# view windows
viewbg = 'lightblue'                        # view/write colors (was '#dbbedc')
viewfg = 'black'
viewheight = 20                             # show up to this many text lines
viewheightmin = 10                          # show at least this many lines
wrapsz = 80                                 # wrap viewed text at/before column

if RunningOnWindows:                        # account-specific fonts - any
    viewfont = ('consolas', 13, 'bold')     # for mail main text in view/write
elif RunningOnLinux:                        # special-case fonts for Linux 
    viewfont = ('inconsolata', 11)          # small is better (or courier new) 
elif RunningOnMac:                          # special-case fonts for Mac OS X
    viewfont = ('menlo', 14, 'normal')      # non-bold is better (or courier)

if RunningOnWindows:                        # view window header fonts [4.0]
    headerfont = ('consolas', 13)           # other platforms default to Tk std

# more colors: 'name', '#RRGGBB', or None=default
helpfg, helpbg = None, None           # server list window help bar (else blue)
partfg, partbg = 'white', 'steelblue' # view window part buttons (else grey)
ctrlfg, ctrlbg = None, None           # view window action buttons (else beige)

# help bar action
showHelpAsText = True                 # book's text help + source button in gui?
showHelpAsHTML = False                # book's original html help in browser?
showStandaloneHelp = True             # standalone release html help in browser?

# etc
fetchlimit = 200                      # load only up to this many latest headers
skipTextOnHtmlPart = False            # show a selected HTML part's raw text too
splitOpensAll      = True             # Split opens all parts after saving them

# sent saves, used if path exists; may be account- and platform-specific;
# default=common file in program install tree: PyMailGui-PP4E/sentmail.text

#sentmailfile = None                                               # don't save
#sentmailfile = not set                                            # use default
if RunningOnWindows:
    sentmailfile = os.getenv('HOMEPATH') + r'\pmg-sentmail.txt'    # Windows
else:                                          
    sentmailfile = os.getenv('HOME') + '/pmg-sentmail.txt'         # Mac, Linux

# password files, 1 line=pswd; handy on tablets, ignored if file not present;
# as coded, located at /User/you/file on Unix, and C:\Users\you\file on Windows

#poppasswdfile  = r'..\..\_etc\pw2.txt'.replace('\\', os.sep)      # source tree
if RunningOnWindows:
    poppasswdfile = os.environ['HOMEPATH'] + r'\pmg-pw1.txt'       # Windows
else:
    poppasswdfile = os.environ['HOME'] + '/pmg-pw1.txt'            # Mac, Linux 

smtppasswdfile = poppasswdfile   # same for both fetch and send
                                            
# for security, use only the RmiDotNet_ssl extension to this file
